Requires write_products access scope.
For more info, refer to:
PUT https://{handle}.myshopline.com/admin/openapi/v20261201/taxonomies/:taxonomy_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Update a taxonomy collection node. You can use this interface to change the taxonomy collection node associated with a collection and adjust the hierarchical relationship of nodes. If the parent node is not specified, the node will be used as the root node.
Path Parameters
  • taxonomy_id string required
    The unique identifier for the taxonomy collection node.
    Maximum length: 64
    Example: 7004220176356349981
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
  • parent_id string
    The unique identifier for the parent node. If the parent node is not specified, the node will be used as the root node.
    Maximum length: 64
    Example: 7004220176356349981
  • collection_id string
    The unique identifier for the collection.
    Example: 16050375155238626683133099
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • taxonomyobject
    Taxonomy collection node information.
  • is_root boolean
    Indicate whether the node is a root node. Valid values are:
    • true: It is a root node.
    • false: It is not a root node.
  • parent_id string
    The unique identifier for the parent node.
    Example: 7004220176356349981
  • collection_id string
    The unique identifier for the collection.
    Example: 16050375155238626683133099
  • id string
    The unique identifier for the taxonomy collection node.
    Example: 7004220176356349981
  • is_leaf boolean
    Indicate whether the node is a leaf node. Valid values are:
    • true: It is a leaf node.
    • false: It is not a leaf node.
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201

ParamOptions

path required
header required

Body

required
{
  "collection_id": "16050375155238626683133099",
  "parent_id": "7004220176356349981"
}

Language

curl --request PUT \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201/taxonomies/taxonomy_id.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Update a node
Request
{
"collection_id": "12270032666273298714441495",
"parent_id": "7004220176356349981"
}
Response
{
"taxonomy": {
"collection_id": "12270032666273298714441495",
"id": "7004239783855134766",
"is_leaf": true,
"is_root": false,
"parent_id": "7004220176356349981"
}
}
Was this article helpful to you?